package com.wanyue.main.bean;

/*将原来的数据合并成两个一组方便界面绘制*/
public class StudyStageDataBean {
    public static final int SPAN_SIZE=2;
    private String title;

    private StudyStageBean[] mStudyStageBeans;
    private int index;

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public StudyStageBean[] getStudyStageBean() {

        return mStudyStageBeans;
    }
    public StudyStageDataBean addStudyStageBeanAndLoadList( StudyStageBean studyStageBean){
        if(mStudyStageBeans==null){
           mStudyStageBeans=new StudyStageBean[SPAN_SIZE];
        }
        if(index==SPAN_SIZE){
          return new StudyStageDataBean().addStudyStageBeanAndLoadList(studyStageBean);
        }
        mStudyStageBeans[index]=studyStageBean;
        index++;
        return this;
    }
}
